public class Shape {
    private int drawColor;  // color for shape
    private int drawPattern; // dashed, dotted, ...
    private String objName; // name of shape

    static private int howMany = 0;
    static public int getHowMany() { return howMany; }
    
    public Shape() {
        howMany++;
    }
    protected void finalize() throws Throwable {
        howMany--;
        super.finalize();
    }
    public void setDrawColor(int c) { drawColor = c; }
    public void setDrawPattern(int p) { drawPattern = p; }
    public void setObjName(String n) { objName = n; }
    
    public int getDrawColor()   { return drawColor; }
    public int getDrawPattern() { return drawPattern; }
    public String getObjName()  { return objName; }
}