class Rectangle extends Shape {
    Point p1, p2;
    
    public Rectangle() {
        p1 = new Point();
        p2 = new Point();
    }
    public Rectangle(Point a, Point b) {
        p1 = new Point(a);  // Why not "p1 = a"?
        p2 = new Point(b);
    }
    public Rectangle(int x1, int y1, int x2, int y2) {
        p1 = new Point(x1, y1);
        p2 = new Point(x2, y2);
    }
    
    public void setP1(Point p) { p1 = new Point(p); }
    public void setP2(Point p) { p2 = new Point(p); }
    
    public Point getP1() { return p1; }
    public Point getP2() { return p2; }
    
    public int getArea() {
        return Math.abs((p1.getX() - p2.getX()) * (p1.getY() - p2.getY()));
    }
}