public class Stack {
    private final int MAX = 5;
    private Object[] stack = new Object[MAX];
    private int size = 0;

    public void push(Object o) throws StackFullException {
	if (size < MAX) {
	    stack[size++] = o;
	} else {
	    System.out.println("Error - stack is full!");
	    throw new StackFullException();
	}
    }

    public Object pop() {
	if (size > 0) {
	    return stack[--size];
	} else {
	    System.out.println("Error - stack is empty!");
	    System.exit(0);	// Perhaps this is a little drastic? :-)
	    return null;	// compiler doesn't know exit() never returns
	}
    }
}
