import java.applet.Applet;
import java.awt.Graphics;

public class AppletDemo extends Applet {
    StringBuffer messages;

    public void init() {
        messages = new StringBuffer();
        addMsg("init()..");
    }
    public void start() {
        addMsg("start()..");
    }
    public void stop() {
        addMsg("stop()..");
    }
    public void destroy() {
        addMsg("destroy()..");
    }

    void addMsg(String s) {
        messages.append(s);
        System.out.println(s);
        repaint();
    }

    public void paint(Graphics g) {
        // Draw a Rectangle around the applet
        g.drawRect(0, 0, getSize().width-1, getSize().height-1);

        // Display the messages in the applet
        g.drawString(messages.toString(), 20, 20);
    }
}
