import java.awt.event.MouseEvent;
import java.awt.event.MouseListener;
import java.applet.Applet;
import java.awt.Graphics;

public class AppletDemo extends Applet implements MouseListener {
    private StringBuffer messages;
    private int[]    mouseC;	// Mouse event counts
    private String[] mouseN;	// Mouse event names

    public void init() {
        messages = new StringBuffer();
	mouseC = new int[5];	// Click, Press, Release, Enter, Exit
	mouseN = new String[5];
	mouseN[0]="Click";
	mouseN[1]="Press";
	mouseN[2]="Releas";
	mouseN[3]="Enter";
	mouseN[4]="Exit";
        addMouseListener(this);
        addMsg("init()..");
    }
    public void start()		{ addMsg("start()..");   }
    public void stop()		{ addMsg("stop()..");    }
    public void destroy()	{ addMsg("destroy().."); }

    public void mouseClicked(MouseEvent e)  { mouseC[0]++; repaint(); }
    public void mousePressed(MouseEvent e)  { mouseC[1]++; repaint(); }
    public void mouseReleased(MouseEvent e) { mouseC[2]++; repaint(); }
    public void mouseEntered(MouseEvent e)  { mouseC[3]++; repaint(); }
    public void mouseExited(MouseEvent e)   { mouseC[4]++; repaint(); }

    void addMsg(String s) {
        messages.append(s);
        System.out.println(s);
        repaint();
    }
    public void paint(Graphics g) {
        // Draw a Rectangle around the applet
        g.drawRect(0, 0, getSize().width-1, getSize().height-1);

        // Display the messages in the applet
        // g.drawString(messages.toString(), 20, 20);

        // Display the numbers on the applet's window.
	for (int i=0; i < mouseN.length; i++)
	    g.drawString(mouseN[i] + "ed: " + mouseC[i], 20, 20+20*i);
    }
}
